package com.fca.uconnect.global;

import com.amazonaws.services.iot.client.AWSIotMessage;
import com.amazonaws.services.iot.client.AWSIotQos;

public class MessagePublisherListener extends AWSIotMessage{
	public MessagePublisherListener(String topic,AWSIotQos qos,byte[] payload){
		super(topic,qos,payload);
	}
	
	@Override
	public void onSuccess(){
		//Message sent successfully.
	}
	@Override
	public void onFailure() {
		//Message has not been sent.
	}
	@Override
	public void onTimeout() {
		//Message has not been sent due to time out.	
	}

}
